Modify

Opened 10 years ago

Closed 9 years ago

#7436 closed defect (fixed)

Shortcut/toolbar redefinition bug dealing with the "Update Data" function

Reported by: rickmastfan67 Owned by: team
Priority: minor Milestone:
Component: Core Version: latest
Keywords: Cc:

Description

I just spotted the following showing up in the command line after I Updated a file of mine with the latest data from OSM and it displayed the "Deleted or moved objects" window after it had updated the data. The following messages showed up then after I had hit the "Check on the server" button.

Keystroke ctrl pressed U is already assigned to org.openstreetmap.josm.actions.UpdateSelectionAction@5db18235, will be overridden by org.openstreetmap.josm.actions.UpdateSelectionAction@2918233e
Registered toolbar action save overwritten: org.openstreetmap.josm.actions.UpdateSelectionAction gets org.openstreetmap.josm.actions.UpdateSelectionAction

I've attached the file so you can easily duplicate this. Just follow the steps below:

  1. Load the file into JOSM.
  2. File > Update Data
  3. When the "Deleted or moved objects" window shows up, click the "Check on the server" button.
  4. Look at the Java console and you'll see the above messages.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2012-02-21 02:32:12
Last Changed Author: bastiK
Revision: 5010
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2012-02-20 23:36:37 +0100 (Mon, 20 Feb 2012)
Last Changed Rev: 5010

Identification: JOSM/1.5 (5010 en)
Memory Usage: 122 MB / 2730 MB (82 MB allocated, but free)
Java version: 1.6.0_31, Sun Microsystems Inc., Java HotSpot(TM) 64-Bit Server VM
Operating system: Windows 7

Plugin: OpeningHoursEditor (27852)
Plugin: buildings_tools (27865)
Plugin: imageryadjust (27865)
Plugin: licensechange (27888)
Plugin: mapdust (27884)
Plugin: measurement (27852)
Plugin: openstreetbugs (27852)
Plugin: reverter (27865)
Plugin: turnrestrictions (27891)
Plugin: undelete (27852)
Plugin: utilsplugin2 (27865)

Attachments (1)

PA Crawford County.7z (509.7 KB) - added by rickmastfan67 10 years ago.

Download all attachments as: .zip

Change History (5)

Changed 10 years ago by rickmastfan67

Attachment: PA Crawford County.7z added

comment:1 Changed 9 years ago by rickmastfan67

This is still happening in r5997.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-06-09 01:34:50
Last Changed Author: Don-vip
Revision: 5997
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-06-08 14:26:14 +0200 (Sat, 08 Jun 2013)
Last Changed Rev: 5997

Identification: JOSM/1.5 (5997 en) Windows 7 64-Bit
Memory Usage: 154 MB / 2730 MB (75 MB allocated, but free)
Java version: 1.7.0_21, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Xmx3072M]

Plugin: ImageryCache (29484)
Plugin: OpeningHoursEditor (29435)
Plugin: buildings_tools (29596)
Plugin: mapdust (29525)
Plugin: measurement (29625)
Plugin: mirrored_download (29505)
Plugin: openstreetbugs (29435)
Plugin: osmarender (29639)
Plugin: reverter (29627)
Plugin: turnrestrictions (29435)
Plugin: undelete (29555)
Plugin: utilsplugin2 (29615)

comment:2 Changed 9 years ago by rickmastfan67

Summary: Shortcut/toolbar redefinition dealing with the Update featureShortcut/toolbar redefinition bug dealing with the Update feature

comment:3 Changed 9 years ago by rickmastfan67

Summary: Shortcut/toolbar redefinition bug dealing with the Update featureShortcut/toolbar redefinition bug dealing with the "Update Data" function

comment:4 Changed 9 years ago by akks

Resolution: fixed
Status: newclosed

In 6046/josm:

fix #7436 (shortcut/toolbar redefinition) and EDT violations in Update Data [minor]
(3 methods of UpdateSelectionAction was made static)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.